import request from '@/utils/request'

// 查询供应商日常工作记录列表
export function listDaily(query) {
  return request({
    url: '/supplier/daily/list',
    method: 'get',
    params: query
  })
}

// 查询供应商日常工作记录详细
export function getDaily(dailyId) {
  return request({
    url: '/supplier/daily/' + dailyId,
    method: 'get'
  })
}

// 新增供应商日常工作记录
export function addDaily(data) {
  return request({
    url: '/supplier/daily',
    method: 'post',
    data: data
  })
}

// 修改供应商日常工作记录
export function updateDaily(data) {
  return request({
    url: '/supplier/daily',
    method: 'put',
    data: data
  })
}

// 删除供应商日常工作记录
export function delDaily(dailyId) {
  return request({
    url: '/supplier/daily/' + dailyId,
    method: 'delete'
  })
}
